import type VTableSheet from './vtable-sheet';
export declare class SheetTabEventHandler {
    private vTableSheet;
    constructor(vTableSheet: VTableSheet);
    handleSheetTabDblClick(sheetKey: string, originalTitle: string): void;
    private renameSheet;
    private getSheetTabElementByKey;
    activeSheetTab(): void;
    updateFadeEffects(tabsContainer: HTMLElement, fadeLeft: HTMLElement, fadeRight: HTMLElement): void;
    scrollSheetTabs(direction: 'left' | 'right', tabsContainer: HTMLElement): void;
    scrollTabIntoView(tab: HTMLElement, container: HTMLElement): void;
    toggleSheetMenu(event: MouseEvent): void;
    private clickOutsideHandler;
    addClickOutsideListener(): void;
    removeClickOutsideListener(): void;
    updateSheetMenu(): void;
    activeSheetMenuItem(): void;
}
